SnmpNotificationGroup (Mibble 2.10.1 Documentation)
Date: 2017-02-20

net.percederberg.mibble.snmp

## Class SnmpNotificationGroup

- java.lang.Object
- - net.percederberg.mibble.MibType
  - - net.percederberg.mibble.snmp.SnmpType
    - - net.percederberg.mibble.snmp.SnmpNotificationGroup

-     public class SnmpNotificationGroup
      extends SnmpType

  The SNMP notification group macro type. This macro type was added to SMIv2 and is defined in RFC 2580.
  Since:
    2.0
  See Also:
    RFC 2580 (SNMPv2-CONF)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpNotificationGroup(java.util.ArrayList<MibValue> notifications, SnmpStatus status, java.lang.String description, java.lang.String reference)` Creates a new SNMP notification group.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<MibValue>` | `getNotifications()` Returns the list of notification MIB values.
    `java.lang.String` | `getReference()` Returns the type reference.
    `SnmpStatus` | `getStatus()` Returns the type status.
    `MibType` | `initialize(MibSymbol symbol, MibLoaderLog log)` Initializes the MIB type.
    `boolean` | `isCompatible(MibValue value)` Checks if the specified value is compatible with this type.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class net.percederberg.mibble.snmp.SnmpType

      `getDescription, getDescription, getUnformattedDescription, removeIndent`

    - ### Methods inherited from class net.percederberg.mibble.MibType

      `createReference, createReference, createReference, getComment, getName, getReferenceSymbol, getTag, hasReferenceTo, hasReferenceTo, hasTag, hasTag, isPrimitive, setReferenceSymbol, setTag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpNotificationGroup

          public SnmpNotificationGroup(java.util.ArrayList<MibValue> notifications,
                               SnmpStatus status,
                               java.lang.String description,
                               java.lang.String reference)

      Creates a new SNMP notification group.
      Parameters:
        `notifications` - the list of notification values
        `status` - the type status
        `description` - the type description
        `reference` - the type reference, or null

  - ### Method Detail

    - #### initialize

          public MibType initialize(MibSymbol symbol,
                           MibLoaderLog log)
                             throws MibException

      Initializes the MIB type. This will remove all levels of indirection present, such as references to types or values. No information is lost by this operation. This method may modify this object as a side-effect, and will return the basic type.

      NOTE: This is an internal method that should only be called by the MIB loader.

      Specified by:
        `initialize` in class `MibType`
      Parameters:
        `symbol` - the MIB symbol containing this type
        `log` - the MIB loader log
      Returns:
        the basic MIB type
      Throws:
        `MibException` - if an error was encountered during the initialization
      Since:
        2.2

    - #### isCompatible

          public boolean isCompatible(MibValue value)

      Checks if the specified value is compatible with this type. A value is compatible if and only if it is an object identifier value.
      Specified by:
        `isCompatible` in class `MibType`
      Parameters:
        `value` - the value to check
      Returns:
        true if the value is compatible, or false otherwise

    - #### getNotifications

          public java.util.ArrayList<MibValue> getNotifications()

      Returns the list of notification MIB values.
      Returns:
        the list of notification MIB values
      See Also:
        `MibValue`

    - #### getStatus

          public SnmpStatus getStatus()

      Returns the type status.
      Returns:
        the type status

    - #### getReference

          public java.lang.String getReference()

      Returns the type reference.
      Returns:
        the type reference, or null if no reference has been set

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `MibType`
      Returns:
        a string representation of this object